import * as core from "@terrascript/core";

export interface ReceiptRuleSetArgs extends core.ResourceArgs {
  ruleSetName: string | core.StringOut;
}

export class ReceiptRuleSet extends core.Resource<ReceiptRuleSetArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public ruleSetName!: string | core.StringOut;

  constructor(name: string, args?: ReceiptRuleSetArgs) {
    super(name, "aws_ses_receipt_rule_set", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
